## org.apache.cassandra.io.sstable
Class SSTableDeletingTask

    java.lang.Object
      org.apache.cassandra.utils.WrappedRunnable
          org.apache.cassandra.io.sstable.SSTableDeletingTask

All Implemented Interfaces:
  java.lang.Runnable

    public class SSTableDeletingTask

extends WrappedRunnable

Field Summary
`java.util.Set<Component>` `components`
`Descriptor` `desc`

Constructor Summary
`SSTableDeletingTask(SSTableReader referent)`

Method Summary
`static void` `rescheduleFailedTasks()` Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.
`protected void` `runMayThrow()`
`void` `schedule()`
`void` `setTracker(DataTracker tracker)`
`static void` `waitForDeletions()` for tests

Methods inherited from class org.apache.cassandra.utils.WrappedRunnable
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desc

    public final Descriptor desc

### components

    public final java.util.Set<Component> components

Constructor Detail

### SSTableDeletingTask

    public SSTableDeletingTask(SSTableReader referent)

Method Detail

### setTracker

    public void setTracker(DataTracker tracker)

### schedule

    public void schedule()

### runMayThrow

    protected void runMayThrow()
                        throws java.io.IOException

  Specified by:
    `runMayThrow` in class `WrappedRunnable`
  Throws:
    `java.io.IOException`

### rescheduleFailedTasks

    public static void rescheduleFailedTasks()

  Retry all deletions that failed the first time around (presumably b/c the sstable was still mmap'd.) Useful because there are times when we know GC has been invoked; also exposed as an mbean.

### waitForDeletions

    public static void waitForDeletions()

  for tests

Copyright © 2013 The Apache Software Foundation